std::experimental::promise(concurrencyTS)(3)

NAME
std::experimental::promise(concurrencyTS) - std::experimental::promise(concurrencyTS)

Synopsis
   Defined in header <experimental/future>
   template< class R > class promise; (1) (concurrency TS)
   template< class R > class promise<R&>; (2) (concurrency TS)
   template<> class promise<void>; (3) (concurrency TS)
   std::experimental::concurrency_v1::promise is a modified version of std::promise
   provided by the concurrency TS that works with std::experimental::future.
   The only change from std::promise is that the get_future() member function returns a
   std::experimental::future.